nodejs-runforcover-0.0.2-3.mga6.noarch.rpm


Advertisement

Description

nodejs-runforcover - Require plugin for JS code coverage

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package name nodejs-runforcover
Package version 0.0.2
Package release 3.mga6
Package architecture noarch
Package type rpm
Installed size 5.84 KB
Download size 10.03 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Runforcover hooks into the `require()` function and uses nodejs-bunker to
provide code coverage data for your unit test library, whatever it might be.

Alternatives

Package Version Architecture Repository
nodejs-runforcover-0.0.2-3.mga6.noarch.rpm 0.0.2 noarch Mageia Core
nodejs-runforcover - - -

Requires

Name Value
nodejs(engine) -
npm(bunker) >= 0.1
npm(bunker) < 0.2

Provides

Name Value
nodejs-runforcover == 0.0.2-3.mga6
npm(runforcover) == 0.0.2

Download

Type URL
Binary Package nodejs-runforcover-0.0.2-3.mga6.noarch.rpm
Source Package nodejs-runforcover-0.0.2-3.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install nodejs-runforcover rpm package:
    # urpmi nodejs-runforcover

Files

Path
/usr/lib/node_modules/runforcover/index.js
/usr/lib/node_modules/runforcover/package.json
/usr/lib/node_modules/runforcover/node_modules/bunker
/usr/share/doc/nodejs-runforcover/README.markdown

Changelog

2016-02-08 - umeabot <umeabot> 0.0.2-3.mga6
+ Revision: 950427
- Mageia 6 Mass Rebuild
+ tv <tv>
- reenable tests
2014-10-28 - tv <tv> 0.0.2-1.mga5
+ Revision: 794263
- disable tests for bootstrap
- imported package nodejs-runforcover
2014-10-28 - Thierry Vignaud <tv@mageia.org> 0.0.2-1.mga5
- import from FC
2013-07-28 - Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.2-4
- restrict to compatible arches
- enable tests
2013-04-15 - T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.2-3
- add macro to enable dependency generation on EPEL6
2013-02-13 - T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.2-2
- fix and conditionalize tests

See Also

Package Description
nodejs-safe-buffer-5.1.2-1.mga7.noarch.rpm Safer Node
nodejs-safe-regex-1.1.0-2.mga7.noarch.rpm Detect possibly catastrophic, exponential-time regular expressions
nodejs-safer-buffer-2.1.2-1.mga7.noarch.rpm Modern Buffer API polyfill without footguns
nodejs-sax-1.2.4-1.mga7.noarch.rpm An evented streaming XML parser in JavaScript
nodejs-semver-5.5.0-1.mga7.noarch.rpm Semantic versioner for npm
nodejs-set-blocking-2.0.0-1.mga7.noarch.rpm Set blocking stdio and stderr ensuring that terminal output does not truncate
nodejs-set-getter-0.1.0-2.mga7.noarch.rpm Create nested getter properties and any intermediary dot notation (`'a
nodejs-set-value-3.0.0-1.mga7.noarch.rpm Create nested values and any intermediaries using dot notation (`'a
nodejs-shebang-command-1.2.0-2.mga7.noarch.rpm Get the command from a shebang
nodejs-shebang-regex-2.0.0-1.mga7.noarch.rpm Regular expression for matching a shebang line
nodejs-shelljs-0.3.0-4.mga6.noarch.rpm Portable Unix shell commands for Node.js
nodejs-should-8.2.2-3.mga6.noarch.rpm A test framework agnostic BDD-style assertions for Node.js
nodejs-should-equal-0.7.3-1.mga6.noarch.rpm Deep comparison of two instances for should.js
nodejs-should-format-0.3.2-3.mga6.noarch.rpm Formatting of objects for should.js
nodejs-should-type-0.2.0-3.mga6.noarch.rpm Simple module to get instance type
Advertisement
Advertisement